
<?php $__env->startSection('content'); ?>
<div class="page-title-box d-flex align-items-center justify-content-between">
    <h4 class="mb-0 font-size-18"><?php echo e(admin_lang('profile')); ?> :: <?php echo e($user->username); ?></h4>
    <div class="page-title-right">
        <ol class="breadcrumb m-0">
            <li class="breadcrumb-item"><a href="<?php echo e(get_admin_url('/')); ?>"><?php echo e(admin_lang('dashboard')); ?></a></li>
            <li class="breadcrumb-item active"><?php echo e(admin_lang('profile')); ?></li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-xl-4">
        <div class="card overflow-hidden">
            <div class="bg-soft-primary bg-soft-usercover">
                <div class="row">
                    <div class="col-12">
                        <div class="text-primary p-3">
                            <h5 class="text-primary"><?php echo e($user->username); ?></h5>
                            <p><?php echo e($user->email); ?></p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-body pt-0">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="avatar-md profile-user-wid mb-4">
                            <img src="<?php echo e(get_user_avatar($user->id)); ?>" alt="" class="img-thumbnail rounded-circle">
                        </div>
                        <h5 class="font-size-15 text-truncate"><?php echo e($user->username); ?></h5>
                        <p class="text-muted mb-0 text-truncate">
                            <?php if($user->userlevel == 'admin'): ?>
                            <span class="badge badge-pill bg-danger"><?php echo e(admin_lang('userlevel_'.$user->userlevel)); ?></span>
                            <?php endif; ?>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-md-8">
        <div class="card">
            <div class="card-body">
                <div class="account_info">
                    <div class="account_info-group"><label><?php echo e(admin_lang('username')); ?>:</label> <?php echo e($user->username); ?></div>
                    <div class="account_info-group"><label><?php echo e(admin_lang('email')); ?>:</label> <a href="mailto:<?php echo e($user->email); ?>"><?php echo e($user->email); ?></a></div>
                    <div class="account_info-group"><label><?php echo e(admin_lang('created')); ?>:</label> <?php echo e($user->created_at); ?></div>
                    <div class="account_info-group"><label><?php echo e(admin_lang('updated')); ?>:</label> <?php echo e($user->updated_at); ?></div>
                    <div class="account_info-group"><label><?php echo e(admin_lang('last_seen')); ?>:</label> <?php if($signintime): ?><?php echo e(date('d/m/Y H:i:s', $signintime)); ?><?php else: ?><?php echo e(admin_lang('none')); ?><?php endif; ?></div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php if(session()->has('success')): ?>
<div class="alert alert-success alert-dismissible fade show"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo session()->get('success'); ?></div>
<?php endif; ?>
<?php if($errors->any()): ?>
<div class="alert alert-danger">
    <ul><?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?><li><?php echo e($error); ?></li><?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></ul>
</div>
<?php endif; ?>
<?php app('eventy')->action('admin_user_profile_before_container', $user); ?>
<div class="tacf-box-container">
    <div class="tacf-box-tabs nav-tabs-cookie" data-cookie="profile_user" data-cookie-tab="tab-details">
        <a href="#" class="active" data-tab=".tab-details"><i class="bx bx-file"></i> <?php echo e(admin_lang('details')); ?></a>
        <a href="#" class="" data-tab=".tab-edit"><i class="bx bx-pencil"></i> <?php echo e(admin_lang('edit')); ?></a>
    </div>
    <div class="tacf-tabs-content">
        <div class="tacf-tab-content tab-details p-0 active">
            <ul class="list-group list-group-flush">
                <li class="list-group-item"><strong><?php echo e(admin_lang('id')); ?>:</strong> #<?php echo e($user->id); ?></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('username')); ?>:</strong> <?php echo e($user->username); ?></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('email')); ?>:</strong> <a href="mailto:<?php echo e($user->email); ?>"><?php echo e($user->email); ?></a></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('role')); ?>:</strong> <?php if($user->userlevel == 'admin'): ?><span class="badge badge-pill bg-danger"><?php echo e(admin_lang('userlevel_'.$user->userlevel)); ?></span><?php else: ?><span class="badge badge-pill bg-info"><?php echo e(admin_lang('userlevel_'.$user->userlevel)); ?></span><?php endif; ?></li>
                <?php app('eventy')->action('admin_user_profile_details', $user); ?>
                <li class="list-group-item"><strong><?php echo e(admin_lang('created')); ?>:</strong> <?php echo e($user->created_at); ?></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('updated')); ?>:</strong> <?php echo e($user->updated_at); ?></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('last_seen')); ?>:</strong> <?php if($signintime): ?><?php echo e(date('d/m/Y H:i:s', $signintime)); ?><?php else: ?><?php echo e(admin_lang('none')); ?><?php endif; ?></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('ip')); ?>:</strong> <a href="<?php echo e(get_admin_url('users/platform/'.$details['ip'])); ?>"><?php echo e($details['ip']); ?></a></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('useragent')); ?>:</strong> <?php echo e($details['useragent']); ?></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('platformname')); ?>:</strong> <a href="<?php echo e(get_admin_url('users/platform/'.$details['platformname'])); ?>"><?php echo e($details['platformname']); ?></a></li>
                <li class="list-group-item"><strong><?php echo e(admin_lang('browserfamily')); ?>:</strong> <a href="<?php echo e(get_admin_url('users/browser/'.$details['browserfamily'])); ?>"><?php echo e($details['browserfamily']); ?></a></li>
            </ul>
        </div>
        <div class="tacf-tab-content tab-edit">
            <form method="POST" action="<?php echo e(get_admin_url('UsersSendForm')); ?>" class="form-horizontal">
                <?php echo e(csrf_field()); ?>

                <div class="row">
                    <div class="col-md-12">
                        <h4 class="card-title"><i class="bx bx-id-card"></i> <?php echo e(admin_lang('personal_data')); ?></h4>
                        <hr />
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group mb-4">
                                    <label for="username"><?php echo e(admin_lang('username')); ?></label>
                                    <div class="frm-input">
                                        <input class="form-control" name="username" type="text" id="username" value="<?php if(old('username')): ?><?php echo e(old('username')); ?><?php else: ?><?php echo e($username); ?><?php endif; ?>" placeholder="<?php echo e(admin_lang('username')); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group mb-4">
                                    <label for="email"><?php echo e(admin_lang('email')); ?></label>
                                    <div class="frm-input">
                                        <input class="form-control" name="email" type="email" id="email" value="<?php if(old('email')): ?><?php echo e(old('email')); ?><?php else: ?><?php echo e($email); ?><?php endif; ?>" placeholder="<?php echo e(admin_lang('email')); ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <h4 class="card-title"><i class="bx bx-lock-alt"></i> <?php echo e(admin_lang('password')); ?> <small><?php echo e(admin_lang('leave_field_change')); ?></small></h4>
                        <hr />
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group mb-4">
                                    <label for="password"><?php echo e(admin_lang('password')); ?></label>
                                    <div class="input-group">
                                        <input class="form-control" name="password" type="password" id="password" value="<?php echo e(old('password')); ?>" placeholder="<?php echo e(admin_lang('password')); ?>">
                                        <span class="input-group-text"><i class="bx bx-lock"></i></span>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group mb-4">
                                    <label for="pincode"><?php echo e(admin_lang('pincode')); ?></label>
                                    <div class="input-group">
                                        <input class="form-control" name="pincode" type="password" id="pincode" value="<?php echo e(old('pincode')); ?>" placeholder="<?php echo e(admin_lang('pincode')); ?>">
                                        <span class="input-group-text"><i class="bx bx-dialpad"></i></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="form-group mb-0">
                    <button type="submit" class="btn btn-primary"><span></span> <?php echo e(admin_lang('update')); ?> </button>
                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('style_files'); ?>
<link href="<?php echo e(asset('libs/tacf/tacf.min.css')); ?>" rel="stylesheet" type="text/css">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_files'); ?>
<script src="<?php echo e(asset('libs/tacf/tacf.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/dashboard/index_profile.blade.php ENDPATH**/ ?>