
<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="section-pages clearfix">
        <div class="section-inner">
            <div class="section-title">
                <h3><?php echo e($page_title); ?></h3>
                <ul class="post-meta">
                    <?php if(has_option('blog', 'post_meta_author')): ?><li><i class="pe-7s-user"></i> <?php echo e(get_username($single->post_author)); ?></li><?php endif; ?>
                    <?php if(has_option('blog', 'post_meta_date')): ?><li><i class="pe-7s-date"></i> <?php echo e(time_format($single->post_modified, 'date')); ?></li><?php endif; ?>
                    <?php if(has_option('blog', 'post_meta_cate')): ?><li><a href="<?php echo e(url('blog/category/'.$term_slug)); ?>"><i class="pe-7s-notebook"></i> <?php echo e(get_term_name($single->term_id)); ?></a></li><?php endif; ?>
                    <?php if(has_option('blog', 'post_meta_views')): ?><li><i class="pe-7s-look"></i> <?php echo e($single->post_views); ?></li><?php endif; ?>
                </ul>
                <div class="divider"></div>
            </div>
            <?php echo $__env->make(get_extends('plugins.breadcrumbs'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="row">
                <?php if($widgets_status == 'left'): ?>
                <div class="<?php echo e($widgets_column); ?>">
                    <?php $__currentLoopData = $widgets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $widget): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php echo $__env->make(get_extends('blog.widget_'.$widget['id']), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <?php endif; ?>
                <div class="<?php echo e($posts_column); ?>">
                    <div class="single-post clearfix">
                        <div class="single-content">
                            <div class="post-thumbnail">
                                <img src="<?php echo e(get_attachment_url($post_meta['thumbnails'], 'full')); ?>" alt="">
                            </div>
                            <div class="post-content">
                                <?php echo $single->post_content; ?>

                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <?php if(has_option('blog', 'post_meta_tags')): ?>
                                    <ul class="tags">
                                        <?php $__currentLoopData = $post_tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><a href="<?php echo e(url('blog?tag='.$item)); ?>"><?php echo e($item); ?></a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-6">
                                    <?php if(has_option('portfolio', 'sharelink_status')): ?>
                                    <?php echo $__env->make(get_extends('plugins.sharesocials'), ['sharelink' => $sharelink, 'title' => $single->post_title, 'link' => url()->current(), 'media' => get_attachment_url($post_meta['thumbnails'], 'full')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <?php if($is_related): ?>
                            <div class="related-post mt-20">
                                <div class="head-title">
                                    <h5><?php echo e(has_option('blog', 'related_posts_title')); ?></h5>
                                </div>
                                <div class="row">
                                    <?php $__currentLoopData = $related; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="<?php echo e(has_option('blog', 'post_column')); ?> col-md-6 col-sm-12">
                                        <div class="post-grid">
                                            <div class="post-grid-image">
                                                <span class="post-date"><i class="pe-7s-date"></i> <?php echo e(time_format($item->post_modified, 'date')); ?></span>
                                                <span class="post-views"><i class="pe-7s-look"></i> <?php echo e($item->post_views); ?></span>
                                                <img src="<?php echo e(get_attachment_url($item->thumbnail, 'medium')); ?>" alt="">
                                                <div class="post-meta clearfix">
                                                    <ul class="float-left">
                                                        <li><i class="pe-7s-user"></i> <?php echo e(get_username($item->post_author)); ?></li>
                                                    </ul>
                                                    <ul class="float-right">
                                                        <li><a href="<?php echo e(url('blog/category/'.get_term_slug($item->term_id))); ?>"><i class="pe-7s-ticket"></i> <?php echo e(get_term_name($item->term_id)); ?></a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                            <div class="post-detail">
                                                <h5><a href="<?php echo e(url('post/'.$item->post_name)); ?>"><?php echo e($item->post_title); ?></a></h5>
                                                <p><?php echo e($item->post_excerpts); ?></p>
                                                <a href="<?php echo e(url('post/'.$item->post_name)); ?>" class="post-more"><?php echo e(lang('read_more')); ?></a>
                                            </div>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                            <?php endif; ?>
                        </div>
                        <?php echo $__env->make(get_extends('plugins.comments'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>
                </div>
                <?php if($widgets_status == 'right'): ?>
                <div class="<?php echo e($widgets_column); ?>">
                    <?php $__currentLoopData = $widgets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $widget): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php echo $__env->make(get_extends('blog.widget_'.$widget['id']), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <?php endif; ?>
            </div>      
        </div>        
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make(get_extends('layouts.master'), \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/frontend/default/blog/single_post.blade.php ENDPATH**/ ?>