<div class="section-body">
    <div class="container">
        <div class="section-inner">
            <div class="section-title">
                <h2><?php echo e(has_option('contactme', 'page_title')); ?></h2>
                <p><?php echo e(has_option('contactme', 'page_subtitle')); ?></p>
                <div class="divider"></div>
            </div>
            <?php if(has_option('contactme', 'mapstatus', '0')): ?>
            <div class="google-map mb-30">
                <div id="google-map" data-latitude="<?php echo e(has_option('contactme', 'maplatitude')); ?>" data-longitude="<?php echo e(has_option('contactme', 'maplongitude')); ?>" data-zoom="<?php echo e(has_option('contactme', 'mapzoom')); ?>" data-marker="<?php echo e(has_option('contactme', 'mapmarker')); ?>"></div>
            </div>
            <?php endif; ?>
            <div class="row">
                <div class="col-lg-5 col-md-6 col-sm-12 mt-30 mb-30">
                    <div class="head-title">
                        <h3><?php echo e(has_option('contactme', 'information_title')); ?> <span><?php echo e(has_option('contactme', 'information_subtitle')); ?></span></h3>
                    </div>
                    <div class="contact-information">
                        <ul>
                            <li><i class="pe-7s-map-marker"></i><span><?php echo e(has_option('contactme', 'address')); ?></span></li>
                            <li><i class="pe-7s-call"></i><span><?php echo e(has_option('contactme', 'phone')); ?></span></li>
                            <li><i class="pe-7s-phone"></i><span><?php echo e(has_option('contactme', 'phone2')); ?></span></li>
                            <li><i class="pe-7s-mail"></i><span><?php echo e(has_option('contactme', 'email')); ?></span></li>
                            <li><i class="pe-7s-mail"></i><span><?php echo e(has_option('contactme', 'email2')); ?></span></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-7 col-md-6 col-sm-12 mt-30 mb-30">
                    <div class="head-title">
                        <h3><?php echo e(has_option('contactme', 'form_title')); ?> <span><?php echo e(has_option('contactme', 'form_subtitle')); ?></span></h3>
                    </div>
                    <div class="contact-form">
                        <?php if(session()->has('contact_success')): ?>
                        <div class="alert alert-success alert-dismissible"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo e(session()->get('contact_success')); ?></div>
                        <?php endif; ?>
                        <form action="<?php echo e(url('sendcontact')); ?>" method="post" class="contactForm">
                            <?php echo e(csrf_field()); ?>

                            <div class="row">
                                <div class="form-group col-lg-6">
                                    <div class="form-input">
                                        <i class="lnr lnr-user"></i>
                                        <input type="text" name="contact_name" class="form-control" placeholder="<?php echo e(lang('name')); ?>" value="<?php echo e(old('contact_name')); ?>" required-d="" autocomplete="off">
                                    </div>
                                    <?php if($errors->has('contact_name')): ?><div class="validation"><?php echo e($errors->first('contact_name')); ?></div><?php endif; ?>
                                </div>
                                <div class="form-group col-lg-6">
                                    <div class="form-input">
                                        <i class="lnr lnr-envelope"></i>
                                        <input type="email" class="form-control" name="contact_email" placeholder="<?php echo e(lang('email')); ?>" value="<?php echo e(old('contact_email')); ?>" required-d="" autocomplete="off">
                                    </div>
                                    <?php if($errors->has('contact_email')): ?><div class="validation"><?php echo e($errors->first('contact_email')); ?></div><?php endif; ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" name="contact_message" placeholder="<?php echo e(lang('message')); ?>" required-d=""><?php echo e(old('contact_message')); ?></textarea>
                                <?php if($errors->has('contact_message')): ?><div class="validation"><?php echo e($errors->first('contact_message')); ?></div><?php endif; ?>
                            </div>
                            <?php if(has_option('apikeys', 'captcha_status')): ?>
                            <div class="form-group">
                                <div class="g-recaptcha" data-sitekey="<?php echo e(has_option('apikeys', 'recaptcha_key')); ?>"></div>
                                <?php if($errors->has('g-recaptcha-response')): ?><div class="validation"><?php echo e($errors->first('g-recaptcha-response')); ?></div><?php endif; ?>
                            </div>
                            <?php endif; ?>
                            <button type="submit" class="button btn-block"><span><?php echo e(lang('send_message')); ?></span></button>
                        </form>
                    </div>
                </div>
            </div>
            <?php if(has_option('contactme', 'socials_status') != 'off'): ?>
            <div class="head-title mt-30">
                <h3><?php echo e(has_option('contactme', 'socials_title')); ?> <span><?php echo e(has_option('contactme', 'socials_subtitle')); ?></span></h3>
            </div>
            <div class="contact-social <?php echo e(has_option('contactme', 'socials_status')); ?> mt-30">
                <?php $__currentLoopData = has_option('contactme', 'socials'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if(isset($item['status'])): ?>
                <a href="<?php echo e($item['url']); ?>" target="_blank" title="<?php echo e($item['title']); ?>" class="social<?php echo e($key); ?>"><i class="<?php echo e($item['icon']); ?>"></i></a>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php $__env->startPush('scripts'); ?>
<?php if($errors->has('contact_name') or $errors->has('contact_email') or $errors->has('contact_message') or session()->has('contact_success')): ?>
<script>$('html').animate({scrollTop: $('.contact-form').offset().top - 80}, 500);</script>
<?php endif; ?>
<?php $__env->stopPush(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/frontend/default/onepage/onepage_contactme.blade.php ENDPATH**/ ?>