
<?php $__env->startSection('content'); ?>
<div class="page-title-box d-flex align-items-center justify-content-between">
    <h4 class="mb-0 font-size-18"><?php echo e($page_title); ?></h4>
    <div class="page-title-right">
        <ol class="breadcrumb m-0">
            <li class="breadcrumb-item"><a href="<?php echo e(get_admin_url('/')); ?>"><?php echo e(admin_lang('dashboard')); ?></a></li>
            <li class="breadcrumb-item active"><?php echo e($page_title); ?></li>
        </ol>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <?php if(session()->has('success')): ?>
        <div class="alert alert-success alert-dismissible fade show"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo session()->get('success'); ?></div>
        <?php endif; ?>
        <?php if(session()->has('warning')): ?>
        <div class="alert alert-warning alert-dismissible fade show"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo session()->get('warning'); ?></div>
        <?php endif; ?>
    </div>
</div>
<div class="megapanel-panel">
    <div class="panel-wrapper">
        <form method="POST" action="<?php echo e(get_admin_url('SettingsSendForm')); ?>" enctype="multipart/form-data">
            <?php echo e(csrf_field()); ?>

            <div class="megapanel-main">
                <div id="megapanel-editor" class="megapanel-jqcheckbox">
                    <div class="megapanel-wrapper">
                        <header class="megapanel-page-header">
                            <h1><?php echo e(admin_lang('settings')); ?></h1>
                            <div class="megapanel-submit"><button class="btn btn-primary"><i class="fa fa-save"></i> <?php echo e(admin_lang('save_changes')); ?></button></div>
                        </header>
                        <div class="megapanel-tabs-container megapanel-container">
                            <div class="megapanel-tabs nav-tabs-cookie" data-cookie="megapanel">
                                <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <a href="#" data-tab=".option-<?php echo e($key); ?>"><i class="<?php echo e($item['icon']); ?>"></i> <?php echo e($item['title']); ?></a>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php app('eventy')->action('admin_options_menu'); ?>
                            </div>
                            <div class="megapanel-tabs-content">
                                <?php $__currentLoopData = $settings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>                
                                <div class="megapanel-tab-content option-<?php echo e($key); ?>">
                                    <?php $__currentLoopData = $value; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php echo fields_start_options($v['title']); ?>

                                        <?php $__currentLoopData = $v['options']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(is_array($option)): ?>
                                                <?php echo field_options_item($option); ?>

                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php echo fields_end_options(); ?>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php app('eventy')->action('admin_options_content'); ?>                                
                                <footer class="megapanel-page-footer megapanel-submit"><button class="btn btn-primary"><i class="fa fa-save"></i> <?php echo e(admin_lang('save_changes')); ?></button></footer>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('style_files'); ?>
<link rel="stylesheet" href="<?php echo e(asset('libs/datepicker/datepicker.min.css')); ?>" type="text/css" />
<link rel="stylesheet" href="<?php echo e(asset('libs/timepicker/timepicker.min.css')); ?>" type="text/css" />
<link href="<?php echo e(asset('libs/select2/select2.min.css')); ?>" rel="stylesheet" type="text/css" />  
<link rel="stylesheet" href="<?php echo e(asset('libs/spectrum/spectrum.min.css')); ?>" type="text/css" />
<link href="<?php echo e(asset('libs/megapanel/megapanel_options.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('libs/tacf/tacf.min.css')); ?>" rel="stylesheet" type="text/css">
<link href="<?php echo e(asset('libs/jplayer/jplayer.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('head_script'); ?>
<script src="<?php echo e(asset('libs/jplayer/jquery.jplayer.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/jplayer/jplayer.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_files'); ?>
<script src="<?php echo e(asset('libs/datepicker/datepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/timepicker/timepicker.min.js')); ?>"></script>
<script src="<?php echo e(asset('dashboard/js/jquery.cookie.js')); ?>"></script>
<script src="<?php echo e(asset('dashboard/js/jquery-ui.js')); ?>"></script>
<script src="<?php echo e(asset('libs/spectrum/spectrum.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/megapanel/megapanel_options.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/tacf/tacf.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/select2/select2.min.js')); ?>"></script>
<script type="text/javascript">
(function($) {
    "use strict";
    $(".select2").select2();
    $(".timepicker").each(function(){
        $(this).timepicker({icons:{up:"bx bx-chevron-up",down:"bx bx-chevron-down"},appendWidgetTo:"#timepicker-input-group-"+$(this).data('key')});
    });
    $(".colorpicker").spectrum({allowEmpty: false,showAlpha: false});
})(jQuery);
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/dashboard/settings/settings.blade.php ENDPATH**/ ?>