
<?php $__env->startSection('content'); ?>
<div class="page-title-box d-flex align-items-center justify-content-between">
    <h4 class="mb-0 font-size-18"><?php echo e($page_title); ?></h4>
    <div class="page-title-right">
        <ol class="breadcrumb m-0">
            <li class="breadcrumb-item"><a href="<?php echo e(get_admin_url('/')); ?>"><?php echo e(admin_lang('dashboard')); ?></a></li>
            <li class="breadcrumb-item active"><?php echo e($page_title); ?></li>
        </ol>
    </div>
</div>
<?php if(session()->has('success')): ?>
<div class="alert alert-success alert-dismissible fade show"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo session()->get('success'); ?></div>
<?php endif; ?>
<div class="row">
    <div class="col-md-4">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3"><?php if($action == 'update'): ?> <?php echo e(admin_lang('update')); ?> <?php else: ?> <?php echo e(admin_lang('add_new')); ?> <?php endif; ?></h4>
                <form method="POST" action="<?php echo e(get_admin_url('LanguageSendForm')); ?>" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>

                    <div class="box">
                        <div class="box-body">
                            <input type="hidden" name="action" value="<?php echo e($action); ?>" />
                            <input type="hidden" name="lang_id" value="<?php if(isset($lang)): ?><?php echo e($lang->id); ?><?php endif; ?>" />
                            <div class="form-group">
                                <label><?php echo e(admin_lang('name')); ?></label>
                                <input type="text" name="name" placeholder="<?php echo e(admin_lang('name')); ?>" value="<?php if(isset($lang)): ?><?php echo e($lang->name); ?><?php endif; ?>" class="form-control" required="">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(admin_lang('code')); ?> (ISO 639-1) <span class="help-block"><a href="https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes" target="_blank">?</a></span></label>
                                <input type="text" name="code" placeholder="<?php echo e(admin_lang('code')); ?>" value="<?php if(isset($lang)): ?><?php echo e($lang->code); ?><?php endif; ?>" class="form-control" required="">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(admin_lang('direction')); ?></label>
                                <div class="megapanel-field">
                                    <?php echo setting_input_radio_multiple(['ltr' => 'LTR', 'rtl'  => 'RTL'], 'direction', $direction); ?>

                                </div>
                            </div>
                            <div class="form-group">
                                <label>Json <span class="help-block"><a href="https://docs.themearabia.net/basma-resume/#addlang" target="_blank">?</a></span></label>
                                <div class="megapanel-field">
                                    <input type="file" name="json" class="form-file" />
                                </div>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(admin_lang('status')); ?></label>
                                <div>
                                    <input type="checkbox" name="status" value="1" class="custom-control-input" switch="bool" id="status_switch" <?php if($lang_status): ?> checked <?php endif; ?>>
                                    <label for="status_switch" data-on-label="ON" data-off-label="OFF"></label>
                                </div>
                            </div>                
                        </div>
                        <div class="box-footer">
                            <button class="btn btn-small btn-success"><?php if($action == 'update'): ?> <?php echo e(admin_lang('update')); ?> <?php else: ?> <?php echo e(admin_lang('add_new')); ?> <?php endif; ?></button>&nbsp;
                            <?php if($action == 'update'): ?>
                            <a class="btn btn-small btn-danger" href="<?php echo e(get_admin_url('languages')); ?>"><?php echo e(admin_lang('cancel')); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-8">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3"><?php echo e(admin_lang('languages')); ?></h4>
                <form class="form-horizontal" method="POST" action="<?php echo e(get_admin_url('LanguagesActions')); ?>">
                    <?php echo e(csrf_field()); ?>

                    <input type="hidden" name="query" value="action">
                    <div id="jq-table_wrapper" class="dataTables_wrapper dt-bootstrap no-footer">
                        <div class="row">
                            <div class="col-sm-12">
                                <table id="jq-table" class="table table-striped table-bordered table-hover dataTable no-footer" role="grid" aria-describedby="jq-table_info">
                                    <thead>
                                        <tr>
                                            <th class="text-center th-checkbox width25">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" id="selectall" />
                                                    <label class="custom-control-label" for="selectall"></label>
                                                </div>
                                            </th>
                                            <th><?php echo e(admin_lang('name')); ?></th>
                                            <th class="hidden-phone text-center"><?php echo e(admin_lang('code')); ?></th>
                                            <th class="hidden-phone text-center"><?php echo e(admin_lang('direction')); ?></th>
                                            <th class="hidden-phone text-center"><?php echo e(admin_lang('phrases')); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr role="row" class="odd">
                                            <td class="td-checkbox">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" name="mark[]" value="<?php echo e($lang->id); ?>" id="select-<?php echo e($lang->id); ?>" />                                        
                                                    <label class="custom-control-label" for="select-<?php echo e($lang->id); ?>"></label>
                                                </div>
                                                <?php if($lang->status): ?>
                                                <span class="sq-post-status disable"></span>
                                                <?php else: ?>
                                                <span class="sq-post-status enable"></span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <strong><a href="<?php echo e(get_admin_url('editlanguage/'.$lang->id)); ?>"><?php echo e($lang->name); ?></a></strong>
                                                <div class="row-actions">
                                                    <a href="<?php echo e(get_admin_url('editlanguage/'.$lang->id)); ?>"><?php echo e(admin_lang('edit')); ?></a> | 
                                                    <?php if($lang->status): ?> <a href="<?php echo e(get_admin_url('disablelanguage/'.$lang->id)); ?>" class="green"><?php echo e(admin_lang('disable')); ?></a> | 
                                                    <?php else: ?> <a href="<?php echo e(get_admin_url('enablelanguage/'.$lang->id)); ?>" class="red"><?php echo e(admin_lang('enable')); ?></a> | <?php endif; ?>
                                                    <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#confirm-delete" data-href="<?php echo e(get_admin_url('deletelanguage/'.$lang->id.'/'.csrf_token() )); ?>" data-body="<?php echo e(admin_lang('delete_confirm')); ?> #<?php echo e($lang->name); ?>?" class="red"><?php echo e(admin_lang('delete')); ?></a>
                                                </div>
                                            </td>
                                            <td class="hidden-phone text-center"><?php echo e($lang->code); ?></td>
                                            <td class="hidden-phone text-center"><?php echo e($lang->direction); ?></td>
                                            <td class="hidden-phone text-center"><a href="<?php echo e(get_admin_url('language/phrases/'.$lang->id)); ?>" class="btn btn-sm btn-info"><?php echo e(admin_lang('phrases')); ?></a></td>
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('style_files'); ?>
<link href="<?php echo e(asset('libs/megapanel/megapanel_options.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('libs/datatables/dataTables.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_files'); ?>
<script src="<?php echo e(asset('libs/datatables/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/datatables/dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/megapanel/megapanel_options.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_code'); ?>
<script type="text/javascript">
$(function() {
    $("#jq-table").DataTable({columns: [{"orderable": false}, null, null, null, null],"order": [[ 1, "asc" ]]});
    $(".dataTables_length").prepend('<?php echo get_select_actions_options(); ?>');
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/dashboard/languages/languages.blade.php ENDPATH**/ ?>