<!DOCTYPE html>
<html lang="<?php echo e($admin_lang); ?>" dir="<?php echo e($admin_dir); ?>">
<head>
    <meta charset="utf-8" />
    <title><?php echo e(get_option('sitename')); ?> - <?php echo e((isset($page_title))? $page_title : ''); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="<?php echo e(get_option_img('favicon', asset('images/favicon.png'))); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <link href="<?php echo e(asset('dashboard/css/animate.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('dashboard/css/jquery-ui.min.css')); ?>" rel="stylesheet" type="text/css" />
    <?php if($admin_dir == 'rtl'): ?><link href="<?php echo e(asset('dashboard/css/bootstrap-rtl.min.css')); ?>" rel="stylesheet" type="text/css" /><?php else: ?><link href="<?php echo e(asset('dashboard/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" /><?php endif; ?>
    <link href="<?php echo e(asset('libs/fonticons/fontawesome.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/fonticons/boxicons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/fonticons/fonticons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/cupload/js/thickbox/thickbox.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/megaupload/megaupload.min.css')); ?>" rel="stylesheet" type="text/css" />
    <?php echo $__env->yieldContent('style_files'); ?>
    <?php if($admin_dir == 'rtl'): ?>
    <link href="<?php echo e(asset('dashboard/css/app-rtl.min.css')); ?>" rel="stylesheet" type="text/css">
    <link href="<?php echo e(asset('dashboard/css/style-rtl.min.css')); ?>" rel="stylesheet" type="text/css">
    <?php app('eventy')->action('admin_style_rtl'); ?>
    <?php else: ?>
    <link href="<?php echo e(asset('dashboard/css/app.min.css')); ?>" rel="stylesheet" type="text/css">
    <link href="<?php echo e(asset('dashboard/css/style.min.css')); ?>" rel="stylesheet" type="text/css">
    <?php app('eventy')->action('admin_style'); ?>
    <?php endif; ?>
    <?php echo $__env->yieldContent('head_style'); ?>
    <?php app('eventy')->action('admin_head'); ?>
    <script type="text/javascript">
        var media_upload_url = '<?php echo e(get_admin_url('medialibrary')); ?>',
        admin_ajax_url = '<?php echo e(get_admin_url('adminajax')); ?>',
        tb_pathToImage = "<?php echo e(asset('libs/cupload/js/thickbox/loadingAnimation.gif')); ?>",
        tb_closeImage  = "<?php echo e(asset('libs/cupload/js/thickbox/tb-close.png')); ?>",
        actionselect = true,
        is_rtl = <?php if($admin_dir == 'rtl'): ?> true <?php else: ?> false <?php endif; ?>, 
        ajax_admin_request = '<?php echo e(get_admin_url('ajaxadminrequest')); ?>', 
        delete_confirm_text = '<?php echo e(admin_lang('delete_confirm')); ?>';
    </script>
    <script src="<?php echo e(asset('libs/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/jquery-migrate-3.0.0.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/jquery-ui.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/jquery.cookie.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/bootstrap.bundle.min.js')); ?>"></script>
    <?php echo $__env->yieldContent('head_script'); ?>
</head>
<body class="<?php echo e($admin_dir); ?>" <?php if(get_option('admin_mode', 'light')): ?>data-sidebar="dark"<?php endif; ?>>
    <div id="layout-wrapper">
        <?php echo $__env->make('dashboard.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php echo $__env->make('dashboard.layouts.menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="main-content">
            <div class="page-content">
                <div class="container-fluid"><?php echo $__env->yieldContent('content'); ?></div>
            </div>
            <?php echo $__env->make('dashboard.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>
    <div class="modal fade modal-confirm-delete" id="confirm-delete" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title mt-0"><?php echo e(admin_lang('confirm_delete')); ?></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><?php echo e(admin_lang('cancel')); ?></button>
                    <a class="btn btn-danger btn-confirmdelete"><?php echo e(admin_lang('confirm')); ?></a>
                </div>
            </div>
        </div>
    </div> 
    <script src="<?php echo e(asset('dashboard/js/metisMenu.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/simplebar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/waves.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/megaupload/megaupload.min.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/app.js')); ?>"></script>
    <script src="<?php echo e(asset('dashboard/js/admin.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/cupload/js/thickbox/thickbox.min.js')); ?>"></script>
    <?php echo $__env->yieldContent('admin_script'); ?>
    <?php app('eventy')->action('admin_script'); ?>
    <script>
    (function($) {
        "use strict";
        $("table th input:checkbox").on("click", function() {
            var that = this;
            $(this).closest("table").find("tr > td:first-child input:checkbox").each(function() {
                this.checked = that.checked;
                $(this).closest("tr").toggleClass("selected");
            });
        });
        $('#confirm-delete').on('shown.bs.modal', function(e) {
            $(this).find('.modal-body').html($(e.relatedTarget).data('body'));
            $(this).find('.btn-confirmdelete').attr('href', $(e.relatedTarget).data('href'));
        });
        $('[rel="tooltip"]').tooltip({trigger: "hover"});
    })(jQuery);
    $.ajaxSetup({headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});
    </script>
    <?php app('eventy')->action('admin_script_code'); ?>
    <?php echo $__env->yieldContent('script_files'); ?>
    <?php echo $__env->yieldContent('script_code'); ?>
    <?php echo $__env->yieldContent('footer'); ?> 
    <?php app('eventy')->action('admin_footer'); ?>
    <div class="tacf-overlay"></div>
    <div id="tacf-modal" class="tacf-modal">
        <div class="tacf-modal-head">
            <h3></h3>
            <a href="javascript:void(0);" data-action="tacf-modal-close" class="tacf-modal-close"><i class="bx bx-x"></i></a>
        </div>
        <div class="tacf-modal-search"><input type="text" placeholder="<?php echo e(admin_lang('search')); ?>" class="tacf-search-input" /></div>
        <div class="tacf-modal-body"></div>
    </div>
    <div class="modal fade modal-confirm-delete" id="confirmation-delete" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title mt-0"><?php echo e(admin_lang('confirm_delete')); ?></h5>
                    <button type="button" value="false" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" value="false"><?php echo e(admin_lang('cancel')); ?></button>
                    <button type="button" class="btn btn-danger btn-confirmdelete" data-bs-dismiss="modal" value="true"><?php echo e(admin_lang('confirm')); ?></button>
                </div>
            </div>
        </div>
    </div>
</body>
</html><?php /**PATH /home/mmegas/public_html/mahasaeed/project/resources/views/dashboard/layouts/master.blade.php ENDPATH**/ ?>