
<?php $__env->startSection('content'); ?>
<div class="page-title-box d-flex align-items-center justify-content-between">
    <h4 class="mb-0 font-size-18"><?php echo e($page_title); ?></h4>
    <div class="page-title-right">
        <ol class="breadcrumb m-0">
            <li class="breadcrumb-item"><a href="<?php echo e(get_admin_url('/')); ?>"><?php echo e(admin_lang('dashboard')); ?></a></li>
            <li class="breadcrumb-item active"><?php echo e($page_title); ?></li>
        </ol>
    </div>
</div>
<div class="row mb-3">
    <div class="col-md-3 data-tables-filter">
        <form method="GET" action="" class="form-filter">
            <input type="search" name="s" class="form-control form-control-sm" value="<?php echo e(request()->get('s')); ?>" placeholder="<?php echo e(admin_lang('search')); ?>">
            <button type="submit" class="btn btn-sm btn-primary button-form-filter"><?php echo e(admin_lang('search')); ?></button>
        </form>
    </div>
    <div class="col-md-6"></div>
</div>
<?php if(session()->has('success')): ?>
<div class="alert alert-success alert-dismissible fade show"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo session()->get('success'); ?></div>
<?php endif; ?>

<div class="card">
    <div class="card-body">
        <form class="form-horizontal" method="POST" action="<?php echo e(get_admin_url('MediaActions')); ?>">
            <?php echo e(csrf_field()); ?>

            <input type="hidden" name="query" value="action">
            <div class="row mb-3">
                <div class="col-md-4">
                    <div class="actionselect">
                        <select name="action" class="custom-select form-select custom-select-sm form-control form-control-sm width-120">
                            <option value="-1"><?php echo e(admin_lang('bulk_actions')); ?></option>
                            <option value="delete"><?php echo e(admin_lang('delete')); ?></option>
                        </select>
                        <input type="submit" class="btn btn-sm btn-primary" value="<?php echo e(admin_lang('apply')); ?>" onclick="return confirm(\'<?php echo e(admin_lang('apply_confirm')); ?>\');">
                    </div>
                </div>
                <div class="col-md-4">

                </div>
                <div class="col-md-4 btn-addnew">
                    <a href="<?php echo e(get_admin_url('media/upload')); ?>" class="btn btn-sm btn-primary"><?php echo e(admin_lang('upload')); ?></a>
                </div>
            </div>
            <table id="datatable" class="table table-striped table-bordered dt-responsive nowrap">
                <thead>
                    <tr>
                        <th class="text-center th-checkbox width25">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="selectall" />
                                <label class="custom-control-label" for="selectall"></label>
                            </div>
                        </th>
                        <th><?php echo e(admin_lang('title')); ?></th>
                        <th class="hidden-phone text-center"><?php echo e(admin_lang('extension')); ?></th>
                        <th class="hidden-phone text-center"><?php echo e(admin_lang('author')); ?></th>
                        <th class="hidden-phone text-center width-200"><?php echo e(admin_lang('date')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attachment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td class="td-checkbox">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" name="mark[]" value="<?php echo e($attachment->at_id); ?>" id="select-<?php echo e($attachment->at_id); ?>" />                                        
                                <label class="custom-control-label" for="select-<?php echo e($attachment->at_id); ?>"></label>
                            </div>
                        </td>
                        <td>
                            <img src="<?php echo e(get_media_mimes_thumbnail($attachment->at_files, $attachment->at_mimes)); ?>" class="image-table" alt="">          
                            <strong><a href="<?php echo e(get_admin_url('editmedia/'.$attachment->at_id)); ?>"><?php echo e($attachment->at_title); ?></a></strong>
                            <div class="row-actions">
                                <a href="<?php echo e(get_admin_url('editmedia/'.$attachment->at_id)); ?>"><?php echo e(admin_lang('edit')); ?></a> | 
                                <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#confirm-delete" data-href="<?php echo e(get_admin_url('deletemedia/'.$attachment->at_id.'/'.csrf_token() )); ?>" data-body="<?php echo e(admin_lang('delete_confirm')); ?> # <?php echo e($attachment->at_title); ?>?" class="red"><?php echo e(admin_lang('delete')); ?></a>
                            </div>
                        </td>
                        <td class="hidden-phone text-center"><?php echo e($attachment->at_mimes); ?></td>
                        <td class="hidden-phone text-center"><?php echo e(get_username($attachment->at_uid)); ?></td>
                        <td class="hidden-phone text-center" dir="ltr"><?php echo e($attachment->at_modified); ?></td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </form>
        <?php echo e($attachments->links('dashboard.layouts.pagination')); ?>

    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/dashboard/medialibrary/index_media.blade.php ENDPATH**/ ?>