
<?php $__env->startSection('content'); ?>
<div class="page-title-box d-flex align-items-center justify-content-between">
    <h4 class="mb-0 font-size-18"><?php echo e($page_title); ?> :: <?php echo e(admin_lang('skills')); ?></h4>
    <div class="page-title-right">
        <ol class="breadcrumb m-0">
            <li class="breadcrumb-item"><a href="<?php echo e(get_admin_url('/')); ?>"><?php echo e(admin_lang('dashboard')); ?></a></li>
            <li class="breadcrumb-item active"><?php echo e($page_title); ?> :: <?php echo e(admin_lang('skills')); ?></li>
        </ol>
    </div>
</div>
<?php if(session()->has('success')): ?>
<div class="alert alert-success alert-dismissible fade show"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo session()->get('success'); ?></div>
<?php endif; ?>
<div class="row">
    <div class="col-md-4">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3"><?php if($action == 'update'): ?> <?php echo e(admin_lang('update')); ?> <?php else: ?> <?php echo e(admin_lang('addnewcategories')); ?> <?php endif; ?></h4>
                <form method="POST" action="<?php echo e(get_admin_url('CategorySendForm')); ?>" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>

                    <div class="box">
                        <div class="box-body">
                            <input type="hidden" name="type" value="<?php echo e($type); ?>">
                            <input type="hidden" name="action" value="<?php echo e($action); ?>" />
                            <input type="hidden" name="term_id" value="<?php if(isset($cate)): ?><?php echo e($cate->id); ?><?php endif; ?>" />
                            <div class="form-group">
                                <label><?php echo e(admin_lang('name')); ?></label>
                                <input type="text" name="name" placeholder="<?php echo e(admin_lang('name')); ?>" value="<?php if(isset($cate)): ?><?php echo e($cate->name); ?><?php endif; ?>" class="form-control">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(admin_lang('style')); ?></label>

                                <div class="megapanel-field">
                                    <?php echo setting_input_radio_multiple(
                                        [
                                            'style-progress'        => '<i class="fas fa-percent"></i>', 
                                            'style-points'          => '<i class="far fa-circle"></i>', 
                                            'style-points solid'    => '<i class="fas fa-circle"></i>', 
                                            'style-stars'           => '<i class="far fa-star"></i>', 
                                            'style-stars solid'     => '<i class="fas fa-star"></i>',  
                                            'style-heart'           => '<i class="far fa-heart"></i>', 
                                            'style-heart solid'     => '<i class="fas fa-heart"></i>', 
                                            'style-heartbeat'       => '<i class="fas fa-heartbeat"></i>', 
                                        ], 
                                        'termmeta[style]', $term_style); ?>

                                </div>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(admin_lang('column')); ?></label>
                                <div class="megapanel-field">
                                    <?php echo setting_input_radio_multiple_img(
                                        [
                                            'col-lg-12' => asset('images/options/1col.png'), 
                                            'col-lg-6'  => asset('images/options/2col.png'), 
                                            'col-lg-4'  => asset('images/options/3col.png'), 
                                        ], 
                                        'termmeta[column]', $term_column); ?>

                                </div>
                            </div>
                            <div class="form-group">
                                <label><?php echo e(admin_lang('orders')); ?></label>
                                <input type="text" name="orders" value="<?php if(isset($cate)): ?><?php echo e($cate->orders); ?><?php else: ?><?php echo e(get_term_count($type, 1)); ?><?php endif; ?>" class="form-control text-center">
                            </div>
                            <div class="form-group">
                                <label><?php echo e(admin_lang('status')); ?></label>
                                <div>
                                    <input type="checkbox" name="status" value="1" class="custom-control-input" switch="bool" id="status_switch" <?php if($cate_status): ?> checked <?php endif; ?>>
                                    <label for="status_switch" data-on-label="ON" data-off-label="OFF"></label>
                                </div>
                            </div>                
                        </div>
                        <div class="box-footer">
                            <button class="btn btn-small btn-success"><?php if($action == 'update'): ?> <?php echo e(admin_lang('update')); ?> <?php else: ?> <?php echo e(admin_lang('addnewcategories')); ?> <?php endif; ?></button>&nbsp;
                            <?php if($action == 'update'): ?>
                            <a class="btn btn-small btn-danger" href="<?php echo e(get_admin_url('categories/'.$type)); ?>"><?php echo e(admin_lang('cancel')); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="col-md-8">
        <div class="card">
            <div class="card-body">
                <h4 class="card-title mb-3"><?php echo e(admin_lang('categories')); ?></h4>
                <form class="form-horizontal" method="POST" action="<?php echo e(get_admin_url('CategorysActions')); ?>">
                    <?php echo e(csrf_field()); ?>

                    <input type="hidden" name="type" value="<?php echo e($type); ?>">
                    <input type="hidden" name="query" value="action">
                    <div id="jq-table_wrapper" class="dataTables_wrapper dt-bootstrap no-footer">
                        <div class="row">
                            <div class="col-sm-12">
                                <table id="jq-table" class="table table-striped table-bordered table-hover dataTable no-footer" role="grid" aria-describedby="jq-table_info">
                                    <thead>
                                        <tr>
                                            <th class="text-center th-checkbox width25">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" id="selectall" />
                                                    <label class="custom-control-label" for="selectall"></label>
                                                </div>
                                            </th>
                                            <th><?php echo e(admin_lang('name')); ?></th>
                                            <th class="hidden-phone text-center"><?php echo e(admin_lang('style')); ?></th>
                                            <th class="hidden-phone text-center"><?php echo e(admin_lang('column')); ?></th>
                                            <th class="hidden-phone text-center"><?php echo e(admin_lang('count')); ?></th>
                                            <th class="hidden-phone text-center width-100"><?php echo e(admin_lang('orders')); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr role="row" class="odd">
                                            <td class="td-checkbox">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" name="mark[]" value="<?php echo e($cate->id); ?>" id="select-<?php echo e($cate->id); ?>" />                                        
                                                    <label class="custom-control-label" for="select-<?php echo e($cate->id); ?>"></label>
                                                </div>
                                                <?php if($cate->status): ?>
                                                <span class="sq-post-status disable"></span>
                                                <?php else: ?>
                                                <span class="sq-post-status enable"></span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <strong><a href="<?php echo e(get_admin_url('editcategory/'.$cate->id)); ?>"><?php echo e($cate->name); ?></a></strong>
                                                <div class="row-actions">
                                                    <a href="<?php echo e(get_admin_url('editcategory/'.$cate->id)); ?>"><?php echo e(admin_lang('edit')); ?></a> | 
                                                    <?php if($cate->status): ?> <a href="<?php echo e(get_admin_url('disablecategory/'.$cate->id)); ?>" class="green"><?php echo e(admin_lang('disable')); ?></a> | 
                                                    <?php else: ?> <a href="<?php echo e(get_admin_url('enablecategory/'.$cate->id)); ?>" class="red"><?php echo e(admin_lang('enable')); ?></a> | <?php endif; ?>
                                                    <a href="javascript:void(0);" data-bs-toggle="modal" data-bs-target="#confirm-delete" data-href="<?php echo e(get_admin_url('deletecategory/'.$cate->id.'/'.csrf_token() )); ?>" data-body="<?php echo e(admin_lang('delete_confirm')); ?> #<?php echo e($cate->name); ?>?" class="red"><?php echo e(admin_lang('delete')); ?></a>
                                                </div>
                                            </td>
                                            <td class="hidden-phone text-center">
                                                <?php if(get_term_meta('style', $cate->id) == 'style-progress'): ?>
                                                <i class="fas fa-percent"></i>
                                                <?php elseif(get_term_meta('style', $cate->id) == 'style-points'): ?>
                                                <i class="far fa-circle"></i>
                                                <?php elseif(get_term_meta('style', $cate->id) == 'style-points solid'): ?>
                                                <i class="fas fa-circle"></i> 
                                                <?php elseif(get_term_meta('style', $cate->id) == 'style-stars'): ?>
                                                <i class="far fa-star"></i>
                                                <?php elseif(get_term_meta('style', $cate->id) == 'style-stars solid'): ?>
                                                <i class="fas fa-star"></i> 
                                                <?php elseif(get_term_meta('style', $cate->id) == 'style-heart'): ?>
                                                <i class="far fa-heart"></i>
                                                <?php elseif(get_term_meta('style', $cate->id) == 'style-heart solid'): ?>
                                                <i class="fas fa-heart"></i>
                                                <?php elseif(get_term_meta('style', $cate->id) == 'style-heartbeat'): ?>
                                                <i class="fas fa-heartbeat"></i>
                                                <?php endif; ?>
                                            </td>
                                            <td class="hidden-phone text-center">
                                                <?php if(get_term_meta('column', $cate->id) == 'col-lg-12'): ?>
                                                <img src="<?php echo e(asset('images/options/1col.png')); ?>" />
                                                <?php elseif(get_term_meta('column', $cate->id) == 'col-lg-6'): ?>
                                                <img src="<?php echo e(asset('images/options/2col.png')); ?>" />
                                                <?php elseif(get_term_meta('column', $cate->id) == 'col-lg-4'): ?>
                                                <img src="<?php echo e(asset('images/options/3col.png')); ?>" />
                                                <?php endif; ?>
                                            </td>
                                            <td class="hidden-phone text-center"><?php echo e(get_post_count($cate->type, $cate->id)); ?></td>
                                            <td class="hidden-phone text-center">
                                                <span class="d-none"><?php echo e($cate->orders); ?></span>
                                                <input type="hidden" name="idx[]" value="<?php echo e($cate->id); ?>">
                                                <input type="text" name="order[]" class="form-control input-sm width80 text-center" value="<?php echo e($cate->orders); ?>">
                                            </td>
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('style_files'); ?>
<link href="<?php echo e(asset('libs/megapanel/megapanel_options.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('libs/datatables/dataTables.min.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_files'); ?>
<script src="<?php echo e(asset('libs/datatables/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/datatables/dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/megapanel/megapanel_options.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_code'); ?>
<script type="text/javascript">
$(function() {
    $("#jq-table").DataTable({columns: [{"orderable": false}, null, null, null, null],"order": [[ 4, "asc" ]]});
    $(".dataTables_length").prepend('<?php echo get_select_actions_options('categories'); ?>');
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/dashboard/categories/category_skills.blade.php ENDPATH**/ ?>