<?php $__env->startSection('template_title'); ?>
    <?php echo e(trans('installer_messages.environment.wizard.templateTitle')); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('title'); ?>
    <?php echo trans('installer_messages.environment.wizard.title'); ?>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('container'); ?>
    <div class="tabs tabs-full">
        <form method="post" action="<?php echo e(route('LaravelInstaller::environmentSaveWizard')); ?>" class="tabs-wrap">
            <div>
                <?php if($errors->has('license')): ?>
                <div class="alert alert-danger" id="error_alert"><?php echo $errors->first('license'); ?></div>
                <?php endif; ?>
                <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
                <input type="hidden" name="app_admin_folder" value="admincp">
                <div class="row">
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('app_name') ? ' has-error ' : ''); ?>">
                            <label for="app_name"><?php echo e(trans('installer_messages.environment.wizard.form.app_name_label')); ?></label>
                            <input type="text" name="app_name" id="app_name" class="form-control" value="<?php echo e(old('app_name')); ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.app_name_placeholder')); ?>" />
                            <?php if($errors->has('app_name')): ?><span class="error-block"><?php echo e($errors->first('app_name')); ?></span><?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('app_lang') ? ' has-error ' : ''); ?>">
                            <label for="app_lang"><?php echo e(trans('installer_messages.environment.wizard.form.app_lang_label')); ?></label>
                            <select name="app_lang" class="form-select" id="app_lang">
                                <?php $__currentLoopData = default_language(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item['code']); ?>"><?php echo e($item['name']); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-12 col-12 option-more d-none">
                        <div class="form-group <?php echo e($errors->has('app_url') ? ' has-error ' : ''); ?>">
                            <label for="app_url"><?php echo e(trans('installer_messages.environment.wizard.form.app_url_label')); ?></label>
                            <input type="url" name="app_url" id="app_url" class="form-control" value="<?php if(old('app_url')): ?><?php echo e(old('app_url')); ?><?php else: ?><?php echo e(url('/')); ?><?php endif; ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.app_url_placeholder')); ?>" />
                            <?php if($errors->has('app_url')): ?><span class="error-block"><?php echo e($errors->first('app_url')); ?></span><?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('app_client') ? ' has-error ' : ''); ?> <?php echo e($errors->has('license') ? ' has-error ' : ''); ?>">
                            <label for="app_client"><?php echo e(trans('installer_messages.environment.wizard.form.app_client_label')); ?></label>
                            <input type="text" name="app_client" id="app_client" class="form-control" value="<?php echo e(old('app_client')); ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.app_client_placeholder')); ?>" />
                            <?php if($errors->has('app_client')): ?><span class="error-block"><?php echo e($errors->first('app_client')); ?></span><?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('app_license') ? ' has-error ' : ''); ?> <?php echo e($errors->has('license') ? ' has-error ' : ''); ?>">
                            <label for="app_license"><?php echo e(trans('installer_messages.environment.wizard.form.app_license_label')); ?></label>
                            <input type="text" name="app_license" id="app_license" class="form-control" value="<?php echo e(old('app_license')); ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.app_license_placeholder')); ?>" />
                            <?php if($errors->has('app_license')): ?><span class="error-block"><?php echo e($errors->first('app_license')); ?></span><?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 col-12 option-more d-none">
                        <div class="form-group <?php echo e($errors->has('database_connection') ? ' has-error ' : ''); ?>">
                            <label for="database_connection"><?php echo e(trans('installer_messages.environment.wizard.form.db_connection_label')); ?></label>
                            <select name="database_connection" class="form-select" id="database_connection">
                                <option value="mysql" selected><?php echo e(trans('installer_messages.environment.wizard.form.db_connection_label_mysql')); ?></option>
                                <option value="sqlite"><?php echo e(trans('installer_messages.environment.wizard.form.db_connection_label_sqlite')); ?></option>
                                <option value="pgsql"><?php echo e(trans('installer_messages.environment.wizard.form.db_connection_label_pgsql')); ?></option>
                                <option value="sqlsrv"><?php echo e(trans('installer_messages.environment.wizard.form.db_connection_label_sqlsrv')); ?></option>
                            </select>
                            <?php if($errors->has('database_connection')): ?><span class="error-block"><?php echo e($errors->first('database_connection')); ?></span><?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12 option-more d-none">
                        <div class="form-group <?php echo e($errors->has('database_hostname') ? ' has-error ' : ''); ?>">
                            <label for="database_hostname"><?php echo e(trans('installer_messages.environment.wizard.form.db_host_label')); ?></label>
                            <input type="text" name="database_hostname" id="database_hostname" class="form-control" <?php if(old('database_hostname')): ?>value="<?php echo e(old('database_hostname')); ?>"<?php else: ?> value="127.0.0.1" <?php endif; ?> placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.db_host_placeholder')); ?>" />
                            <?php if($errors->has('database_hostname')): ?><span class="error-block"><?php echo e($errors->first('database_hostname')); ?></span><?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12 option-more d-none">
                        <div class="form-group <?php echo e($errors->has('database_port') ? ' has-error ' : ''); ?>">
                            <label for="database_port"><?php echo e(trans('installer_messages.environment.wizard.form.db_port_label')); ?></label>
                            <input type="number" name="database_port" id="database_port" class="form-control" <?php if(old('database_port')): ?>value="<?php echo e(old('database_port')); ?>"<?php else: ?> value="3306" <?php endif; ?> placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.db_port_placeholder')); ?>" />
                            <?php if($errors->has('database_port')): ?>
                                <span class="error-block">
                                    <?php echo e($errors->first('database_port')); ?>

                                </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('database_name') ? ' has-error ' : ''); ?>">
                            <label for="database_name"><?php echo e(trans('installer_messages.environment.wizard.form.db_name_label')); ?></label>
                            <input type="text" name="database_name" id="database_name" class="form-control" value="<?php echo e(old('database_name')); ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.db_name_placeholder')); ?>" />
                            <?php if($errors->has('database_name')): ?><span class="error-block"><?php echo e($errors->first('database_name')); ?></span><?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('database_username') ? ' has-error ' : ''); ?>">
                            <label for="database_username"><?php echo e(trans('installer_messages.environment.wizard.form.db_username_label')); ?></label>
                            <input type="text" name="database_username" id="database_username" class="form-control" value="<?php echo e(old('database_username')); ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.db_username_placeholder')); ?>" />
                            <?php if($errors->has('database_username')): ?><span class="error-block"><?php echo e($errors->first('database_username')); ?></span><?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('database_password') ? ' has-error ' : ''); ?>">
                            <label for="database_password"><?php echo e(trans('installer_messages.environment.wizard.form.db_password_label')); ?></label>
                            <input type="text" name="database_password" id="database_password" class="form-control" value="<?php echo e(old('database_password')); ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.db_password_placeholder')); ?>" />
                            <?php if($errors->has('database_password')): ?><span class="error-block"><?php echo e($errors->first('database_password')); ?></span><?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6 col-12">
                        <div class="form-group <?php echo e($errors->has('database_table_prefix') ? ' has-error ' : ''); ?>">
                            <label for="table_prefix"><?php echo e(trans('installer_messages.environment.wizard.form.table_prefix_label')); ?></label>
                            <input type="text" name="table_prefix" id="table_prefix" class="form-control" value="<?php echo e(old('table_prefix')); ?>" placeholder="<?php echo e(trans('installer_messages.environment.wizard.form.table_prefix_placeholder')); ?>" />
                            <?php if($errors->has('table_prefix')): ?><span class="error-block"><?php echo e($errors->first('table_prefix')); ?></span><?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="mt-3 mb-3">
                    <a href="javascript:void(0)" class="show-more-options"><?php echo e(trans('installer_messages.environment.wizard.form.show_more')); ?></a>
                    <a href="javascript:void(0)" class="hide-more-options d-none"><?php echo e(trans('installer_messages.environment.wizard.form.hide_more')); ?></a>
                </div>
                <div class="buttons">
                    <button class="button" type="submit"><?php echo e(trans('installer_messages.environment.wizard.form.buttons.install')); ?></button>
                </div>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script src="<?php echo e(asset('libs/jquery/jquery.min.js')); ?>"></script>
<script>
(function ($) {
    "use strict";
    $('.show-more-options').on('click', function(){
        $(this).addClass('d-none');
        $('.hide-more-options').removeClass('d-none');
        $('.option-more').removeClass('d-none');
    });
    $('.hide-more-options').on('click', function(){
        $(this).addClass('d-none');
        $('.show-more-options').removeClass('d-none');
        $('.option-more').addClass('d-none');
    });
})(jQuery);
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('vendor.installer.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed/project/resources/views/vendor/installer/environment.blade.php ENDPATH**/ ?>