<div class="section-body">
    <div class="container">
        <div class="section-inner">
            <div class="section-title">
                <h2><?php echo e(has_option('appointments', 'page_title')); ?></h2>
                <p><?php echo e(has_option('appointments', 'page_subtitle')); ?></p>
                <div class="divider"></div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-12 mt-30 mb-30">
                    <div class="head-title">
                        <h3><?php echo e(has_option('appointments', 'matitle')); ?><small><?php echo e(has_option('appointments', 'masubtitle')); ?></small></h3>
                    </div>
                    <div class="list-appointments">
                        <ul>
                        <?php $__currentLoopData = has_option('appointments', 'works'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="<?php if($item['status']): ?> available <?php else: ?> not-available <?php endif; ?>">
                            <?php if($item['status']): ?> <i class="lnr lnr-checkmark-circle"></i> <?php else: ?> <i class="lnr lnr-cross-circle"></i> <?php endif; ?>
                            <span class="day"><?php echo e(lang($key)); ?>:</span>  <span class="time"><?php echo e($item['start']); ?> - <?php echo e($item['end']); ?></span>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-12 mt-30 mb-30">
                    <div class="contact-form">
                        <?php if(session()->has('apm_success')): ?>
                        <div class="alert alert-success alert-dismissible"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo e(session()->get('apm_success')); ?></div>
                        <?php endif; ?>
                        <form action="<?php echo e(url('sendappointments')); ?>" method="post" class="contactForm appointments-form">
                            <?php echo e(csrf_field()); ?>

                            <div class="form-group">
                                <div class="form-input">
                                    <i class="lnr lnr-pencil"></i>
                                    <input type="text" class="form-control" name="apm_subject" placeholder="<?php echo e(lang('subject')); ?>" value="<?php echo e(old('apm_subject')); ?>">
                                </div>
                                <?php if($errors->has('apm_subject')): ?><div class="validation"><?php echo e($errors->first('apm_subject')); ?></div><?php endif; ?>
                            </div>
                            <div class="form-group">
                                <div class="form-input">
                                    <i class="lnr lnr-user"></i>
                                    <input type="text" name="apm_name" class="form-control" placeholder="<?php echo e(lang('name')); ?>" value="<?php echo e(old('apm_name')); ?>">
                                </div>
                                <?php if($errors->has('apm_name')): ?><div class="validation"><?php echo e($errors->first('apm_name')); ?></div><?php endif; ?>
                            </div>
                            <div class="row">
                                <div class="form-group col-lg-6">
                                    <div class="form-input">
                                        <i class="lnr lnr-envelope"></i>
                                        <input type="email" class="form-control" name="apm_email" placeholder="<?php echo e(lang('email')); ?>" value="<?php echo e(old('apm_email')); ?>">
                                    </div>
                                    <?php if($errors->has('apm_email')): ?><div class="validation"><?php echo e($errors->first('apm_email')); ?></div><?php endif; ?>
                                </div>
                                <div class="form-group col-lg-6">
                                    <div class="form-input">
                                        <i class="lnr lnr-phone-handset"></i>
                                        <input type="tel" class="form-control" name="apm_phone" placeholder="<?php echo e(lang('phone')); ?>" value="<?php echo e(old('apm_phone')); ?>">
                                    </div>
                                    <?php if($errors->has('apm_phone')): ?><div class="validation"><?php echo e($errors->first('apm_phone')); ?></div><?php endif; ?>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-lg-6">
                                    <div class="form-input">
                                        <i class="lnr lnr-calendar-full"></i>
                                        <input type="text" name="apm_date" id="app_date" class="form-control" value="<?php echo e(old('apm_date')); ?>" data-lock="from" data-init-set="false" data-lang="en" data-large-mode="true" data-large-default="true" data-min-year="<?php echo e(date('Y')); ?>" data-max-year="<?php echo e(date('Y')); ?>" placeholder="<?php echo e(lang('date')); ?>" required="" autocomplete="off" data-id="datedropper-0" readonly="">
                                    </div>
                                    <?php if($errors->has('apm_date')): ?><div class="validation"><?php echo e($errors->first('apm_date')); ?></div><?php endif; ?>
                                </div>
                                <div class="form-group col-lg-6">
                                    <div class="form-input">
                                        <i class="lnr lnr-clock"></i>
                                        <input type="text" name="apm_time" id="app_time" class="form-control" value="<?php echo e(old('apm_time')); ?>" placeholder="<?php echo e(lang('time')); ?>" required="" autocomplete="off" readonly="">
                                    </div>
                                    <?php if($errors->has('apm_time')): ?><div class="validation"><?php echo e($errors->first('apm_time')); ?></div><?php endif; ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" name="apm_message" placeholder="<?php echo e(lang('message')); ?>"><?php echo e(old('apm_message')); ?></textarea>
                                <?php if($errors->has('apm_message')): ?><div class="validation"><?php echo e($errors->first('apm_message')); ?></div><?php endif; ?>
                            </div>
                            <?php if(has_option('apikeys', 'captcha_status')): ?>
                            <div class="form-group">
                                <div class="g-recaptcha" data-sitekey="<?php echo e(has_option('apikeys', 'recaptcha_key')); ?>"></div>
                                <?php if($errors->has('g-recaptcha-response')): ?><div class="validation"><?php echo e($errors->first('g-recaptcha-response')); ?></div><?php endif; ?>
                            </div>
                            <?php endif; ?>
                            <button type="submit" class="button btn-block"><span><?php echo e(lang('booking_appointment')); ?></span></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->startPush('scripts'); ?>
<?php if(
$errors->has('apm_subject') or 
$errors->has('apm_name') or 
$errors->has('apm_email') or 
$errors->has('apm_phone') or 
$errors->has('apm_date') or 
$errors->has('apm_time') or 
$errors->has('apm_message') or 
session()->has('apm_success')
): ?> <script>$('html').animate({scrollTop: $('.appointments-form').offset().top - 80}, 500);</script> <?php endif; ?>
<?php $__env->stopPush(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed/project/resources/views/frontend/default/onepage/onepage_appointments.blade.php ENDPATH**/ ?>