<!DOCTYPE html>
<html lang="<?php echo e($admin_lang); ?>" dir="<?php echo e($admin_dir); ?>">
<head>
    <meta charset="utf-8" />
    <title><?php echo e(get_option('sitename')); ?> - <?php echo e((isset($page_title))? $page_title : ''); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="shortcut icon" href="<?php echo e(get_option_img('favicon', get_asset('images/favicon.png'))); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <?php if($admin_dir == 'rtl'): ?><link href="<?php echo e(asset('dashboard/css/bootstrap-rtl.min.css')); ?>" rel="stylesheet" type="text/css" /><?php else: ?><link href="<?php echo e(asset('dashboard/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" /><?php endif; ?>
    <link rel="stylesheet" href="<?php echo e(asset('dashboard/css/drag-drop.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('dashboard/css/media-upload.min.css')); ?>" />
</head>
<body class="<?php echo e($admin_dir); ?>" id="creative-media-upload">
<div class="creative-media-upload-header">
    <h1><?php echo e(admin_lang('insert_media')); ?></h1>
    <button type="button" class="creative-media-upload-close" onclick="try{top.tb_remove();}catch(e){}; return false;"></button>
    <ul class="creative-media-upload-sidemenu">
        <li><a href="#" data-type="upload" class="upload"><?php echo e(admin_lang('upload_files')); ?></a></li>
        <li><a href="#" data-type="library" class="library current"><?php echo e(admin_lang('media_library')); ?></a></li>
    </ul>
</div>
<div class="media-toolbar-search">
    <div class="row">
        <div class="col-md-5">
            <input type="search" placeholder="<?php echo e(admin_lang('search')); ?>" class="form-control filter-input-search width200">
            <select class="form-control filter-select-date width150">
                <option value="all"><?php echo e(admin_lang('all_dates')); ?></option>
                <?php $__currentLoopData = $attach_date; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($date->date_val); ?>"><?php echo e($date->date_txt); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
            <button type="button" class="btn btn-primary btn-media-filter"><?php echo e(admin_lang('filter')); ?></button>
        </div>
    </div>
</div>
<div class="creative-media-upload-browser">
    <div class="creative-media-upload-content">
        <div class="content-tab content-library">
            <div id="media-items" class="media-items-library" data-loading="0" data-thelast="0">
                <ul class="media-attachments media-attachments-thickbox">
                    <?php $__currentLoopData = $attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li class="" role="checkbox" data-id="<?php echo e($item->at_id); ?>" title="<?php echo e($item->at_title); ?>" aria-checked="true" id="attachment-item-<?php echo e($item->at_id); ?>">
                        <div class="check"><div class="media-icon"></div></div>
                        <div class="attachment-preview">
                            <div class="thumbnail-item"><img src="<?php echo e(get_media_mimes_thumbnail($item->at_files, $item->at_mimes)); ?>" /></div>
                        </div>
                    </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
            <div id="media-upload-content-toolbar">
                <div class="row">
                    <div class="col-md-5">
                        <button type="button" data-id="0" class="button button-media-select" disabled="disabled"><?php if($type == 'image'): ?><?php echo e(admin_lang('use_this_image')); ?><?php else: ?><?php echo e(admin_lang('use_this_file')); ?><?php endif; ?></button>
                    </div>
                </div>
            </div>
        </div>    
        <div class="content-tab content-upload hidden">
            <div class="media-upload-form-wrap" id="async-upload-wrap">
                <form enctype="multipart/form-data" method="post" action="<?php echo e(get_admin_url('mediaajax')); ?>" id="media-upload-form">
                    <div class="upload-console-drop" id="drop-zone">
                        <h3><?php echo e(admin_lang('drop_files_here')); ?></h3>
                        <span><?php echo e(admin_lang('or')); ?></span>
                        <input type="file" name="files[]" id="standard-upload-files" multiple="multiple" />
                        <input type="hidden" name="action" value="async_upload" />
                        <input type="hidden" name="type" value="thickbox" id="type-upload-files" />
                        <button type="button" class="btn" id="plupload-browse-button"><?php echo e(admin_lang('select_files')); ?></button>                        
                        <div class="maximum_upload_file_size"><?php echo e(admin_lang('maximum_uploadfile_size', ['size' => format_size(file_upload_max_size())])); ?></div>
                        <div class="bar hidden" id="bar">
                            <div class="bar-fill" id="bar-fill">
                                <div class="bar-fill-text" id="bar-fill-text"></div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <ul id="media-items" class="media-attachments"></ul>
        </div>
    </div>
</div>
<script type="text/javascript">
    var pageload = 1;
    var media_upload_url = '<?php echo e(get_admin_url('medialibrary')); ?>';
    var tb_pathToImage = "<?php echo e(asset('libs/cupload/js/thickbox/loadingAnimation.gif')); ?>";
    var tb_closeImage  = "<?php echo e(asset('libs/cupload/js/thickbox/tb-close.png')); ?>";
    var ajaxRequests = [];
    var admin_media_upload_url = '<?php echo e(get_admin_url('mediaaction')); ?>';
    var admin_ajax_url = '<?php echo e(get_admin_url('mediaajax')); ?>';
</script>
<script src="<?php echo e(asset('libs/jquery/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('dashboard/js/jquery-ui.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(asset('libs/cupload/js/thickbox/thickbox.min.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(asset('dashboard/js/media-upload.min.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(asset('dashboard/js/drag-drop.js')); ?>"></script>
<script>
$.ajaxSetup({headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}});
$(function() {$("table th input:checkbox").on("click" , function(){var that = this;$(this).closest("table").find("tr > td:first-child input:checkbox").each(function(){this.checked = that.checked;$(this).closest("tr").toggleClass("selected");});});})</script>
</body>
</html>
<?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/dashboard/medialibrary/index_medialibrary.blade.php ENDPATH**/ ?>