
<?php $__env->startSection('content'); ?>
<div class="page-title-box d-flex align-items-center justify-content-between">
    <h4 class="mb-0 font-size-18"><?php echo e($page_title); ?></h4>
    <div class="page-title-right">
        <ol class="breadcrumb m-0">
            <li class="breadcrumb-item"><a href="<?php echo e(get_admin_url('/')); ?>"><?php echo e(admin_lang('dashboard')); ?></a></li>
            <li class="breadcrumb-item"><a href="<?php echo e(get_admin_url('languages')); ?>"><?php echo e(admin_lang('languages')); ?></a></li>
            <li class="breadcrumb-item active"><?php echo e($page_title); ?></li>
        </ol>
    </div>
</div>

<?php if(session()->has('success')): ?>
<div class="alert alert-success alert-dismissible fade show"><button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button><?php echo session()->get('success'); ?></div>
<?php endif; ?>

<input type="hidden" name="lang_id" value="<?php echo e($lang_id); ?>" />
<div class="tacf-box-container">
    <div class="tacf-box-tabs nav-tabs-cookie" data-cookie="formpost_phrases" data-cookie-tab="tab-details">
        <a href="#" class="active" data-tab=".tab-details"><i class="bx bx-pencil"></i> <?php echo e(admin_lang('details')); ?></a>
        <a href="#" class="" data-tab=".tab-phrases"><i class="bx bx-file"></i> <?php echo e(admin_lang('phrases')); ?></a>
    </div>
    <div class="tacf-tabs-content">
        <div class=""></div>
        <div class="tacf-tab-content tab-details active">
            <div class="account_info">
                <div class="account_info-group"><label><?php echo e(admin_lang('id')); ?>:</label> <?php echo e($single->id); ?></div>
                <div class="account_info-group"><label><?php echo e(admin_lang('name')); ?>:</label> <?php echo e($single->name); ?></div>
                <div class="account_info-group"><label><?php echo e(admin_lang('code')); ?>:</label> <?php echo e($single->code); ?></div>
                <div class="account_info-group"><label><?php echo e(admin_lang('direction')); ?>:</label> <?php echo e($single->direction); ?></div>
                <div class="account_info-group"><label><?php echo e(admin_lang('phrases')); ?>:</label> <?php echo e(count($phrases)); ?></div>
            </div>
        </div>
        <div class="tacf-tab-content tab-phrases">

            <div class="mb-3">
                <button type="button" onclick="location.href='<?php echo e(get_admin_url('language/refresh/'.$single->id)); ?>';" class="btn btn-warning waves-effect waves-light"><i class="fas fa-sync"></i> <?php echo e(admin_lang('refresh_file')); ?></button>
            </div>
            <div class="dataTables_wrapper dt-bootstrap no-footer">
                <div class="row">
                    <div class="col-sm-12">
                        <table id="jq-table-phrases" class="table table-striped table-bordered table-hover dataTable no-footer" role="grid" aria-describedby="jq-table_info">
                            <thead>
                                <tr>
                                    <th><?php echo e(admin_lang('id')); ?></th>
                                    <th><?php echo e(admin_lang('default')); ?></th>
                                    <th><?php echo e(admin_lang('text')); ?></th>
                                    <th class="width25 text-center"><?php echo e(admin_lang('edit')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $phrases; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $phrase): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr role="row" class="odd tr-box-phrase">
                                    <td><?php echo e($key); ?></td>
                                    <td><?php echo e(lang($key, [], 'global', 'default')); ?></td>
                                    <td>
                                        <div class="phrase-text fadeIn"><?php echo e($phrase); ?></div>
                                        <div class="phrase-input d-none fadeIn" data-langid="<?php echo e($single->id); ?>">
                                            <div class="input-group">
                                                <input type="text" class="form-control input-phrase" name="pk" dir="<?php echo e($single->direction); ?>" value="<?php echo e($phrase); ?>" />
                                                <span class="input-group-btn">
                                                    <button class="btn btn-success phrase-save" data-key="<?php echo e($key); ?>" data-code="<?php echo e($single->code); ?>"><?php echo e(admin_lang('save')); ?></button>
                                                    <button class="btn btn-danger phrase-cancel"><?php echo e(admin_lang('cancel')); ?></button>
                                                </span>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="text-center width25"><a class="btn btn-info edit-phrase" title="<?php echo e(admin_lang('edit')); ?>"><i class="bx bx-edit-alt"></i></a></td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('style_files'); ?>
<link href="<?php echo e(asset('libs/datatables/dataTables.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('libs/tacf/tacf.min.css')); ?>" rel="stylesheet" type="text/css">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_files'); ?>
<script src="<?php echo e(asset('libs/datatables/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/datatables/dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('libs/tacf/tacf.min.js')); ?>"></script>
<script src="<?php echo e(asset('dashboard/js/editlang.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script_code'); ?>
<script type="text/javascript">
$(function() {
    $("#jq-table-phrases").DataTable({columns: [{"orderable": false}, null, null, null],"order": [[ 0, "asc" ]], pageLength: 20,lengthMenu: [20, 50, 100]});
});
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/mmegas/public_html/mahasaeed.com/project/resources/views/dashboard/languages/language_phrases.blade.php ENDPATH**/ ?>